# Class RcsbFvCustomSequence<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- Component<RcsbFvCustomSequenceInterface<R, L> & {
  structureViewer: ViewerActionManagerInterface<R, L>;
  } & CallbackConfig & {
  componentId: string;
  stateManager: RcsbFvStateInterface;
  unmount: ((flag) => void);
  }, RcsbFvCustomSequenceInterface<R, L>>
  - RcsbFvCustomSequence

- Defined in src/RcsbFvSequence/RcsbFvCustomSequence.tsx:22

#####
Index

### Constructors

constructor

### Methods

render

## Constructors

### constructor

- new RcsbFvCustomSequence<R, L>(props): RcsbFvCustomSequence<R, L>

- #### Type Parameters

  - #### R

  - #### L

  #### Parameters

  - ##### props: RcsbFvCustomSequenceInterface<R, L> & {
    structureViewer: ViewerActionManagerInterface<R, L>;
    } & CallbackConfig & {
    componentId: string;
    stateManager: RcsbFvStateInterface;
    unmount: ((flag) => void);
    } | Readonly<RcsbFvCustomSequenceInterface<R, L> & {
    structureViewer: ViewerActionManagerInterface<R, L>;
    } & CallbackConfig & {
    componentId: string;
    stateManager: RcsbFvStateInterface;
    unmount: ((flag) => void);
    }>

  #### Returns RcsbFvCustomSequence<R, L>

  Inherited from React.Component <RcsbFvCustomSequenceInterface<R,L> & {structureViewer: ViewerActionManagerInterface<R,L>;} & CallbackConfig & {unmount:(flag:boolean)=>void, stateManager: RcsbFvStateInterface, componentId:string}, RcsbFvCustomSequenceInterface<R,L> >.constructor

  - Defined in node_modules/@types/react/index.d.ts:519
- new RcsbFvCustomSequence<R, L>(props, context): RcsbFvCustomSequence<R, L>

- #### Type Parameters

  - #### R

  - #### L

  #### Parameters

  - ##### props: RcsbFvCustomSequenceInterface<R, L> & {
    structureViewer: ViewerActionManagerInterface<R, L>;
    } & CallbackConfig & {
    componentId: string;
    stateManager: RcsbFvStateInterface;
    unmount: ((flag) => void);
    }

  - ##### context: any

  #### Returns RcsbFvCustomSequence<R, L>

  #### Deprecated

  #### See

  https://legacy.reactjs.org/docs/legacy-context.html

  Inherited from React.Component <RcsbFvCustomSequenceInterface<R,L> & {structureViewer: ViewerActionManagerInterface<R,L>;} & CallbackConfig & {unmount:(flag:boolean)=>void, stateManager: RcsbFvStateInterface, componentId:string}, RcsbFvCustomSequenceInterface<R,L> >.constructor

  - Defined in node_modules/@types/react/index.d.ts:524

## Methods

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/RcsbFvCustomSequence.tsx:23

Generated using TypeDoc